boost::geometry::strategy::covered_by::services::default_strategy< TagContained, TagContaining, CastedTagContained, CastedTagContaining, CsTagContained, CsTagContaining, GeometryContained, GeometryContaining > Struct Template Reference
covered_by: detect if a geometry is inside or on the border of another geometry, a.o. point-in-polygon (border included)

Traits class binding a covered_by determination strategy to a coordinate system. More...

List of all members.

## Public Member Functions

| BOOST_MPL_ASSERT_MSG (false, NOT_IMPLEMENTED_FOR_THESE_TYPES,(types< GeometryContained, GeometryContaining >))

## Detailed Description

### template<typename TagContained, typename TagContaining, typename CastedTagContained, typename CastedTagContaining, typename CsTagContained, typename CsTagContaining, typename GeometryContained, typename GeometryContaining>
struct boost::geometry::strategy::covered_by::services::default_strategy< TagContained, TagContaining, CastedTagContained, CastedTagContaining, CsTagContained, CsTagContaining, GeometryContained, GeometryContaining >

Traits class binding a covered_by determination strategy to a coordinate system.

Template Parameters:

  TagContained | tag (possibly casted) of point-type
  TagContained | tag (possibly casted) of (possibly) containing type
  CsTagContained | tag of coordinate system of point-type
  CsTagContaining | tag of coordinate system of (possibly) containing type
  Geometry | geometry-type of input (often point, or box)
  GeometryContaining | geometry-type of input (possibly) containing type

## Member Function Documentation

template<typename TagContained , typename TagContaining , typename CastedTagContained , typename CastedTagContaining , typename CsTagContained , typename CsTagContaining , typename GeometryContained , typename GeometryContaining >

boost::geometry::strategy::covered_by::services::default_strategy< TagContained, TagContaining, CastedTagContained, CastedTagContaining, CsTagContained, CsTagContaining, GeometryContained, GeometryContaining >::BOOST_MPL_ASSERT_MSG | ( | false | ,
|  | NOT_IMPLEMENTED_FOR_THESE_TYPES | ,
|  | (types< GeometryContained, GeometryContaining >) |
| ) |  |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK